---
layout: handbook-page-toc
title: "Features by Theme"
description: "This page is meant to showcase the key features by tier and theme"
canonical_path: "/features/by-theme/"
---

## On this page
{:.no_toc}

- TOC
{:toc}

---
<% tier_names = ['Premium','Ultimate'] %>
<% reg_feature_name = 'Registration_Features' %>

## Key Features by Tier and Theme
This page is meant to showcase the key features by [tier](/handbook/marketing/strategic-marketing/tiers/) and [theme](https://about.gitlab.com/company/pricing/#themes) along with aggregate and most recent mentions in the PPS ([Post Purchase Survey](handbook/product/product-operations/surveys/workflows/)).  Here's a similar view of [paid features organized by stage and tier](https://about.gitlab.com/features/by-paid-tier/).
<% tier_names.each do |tier_name| %>
<%= "### #{tier_name}" %>

<% data.pricing_themes.select{|theme| theme.tier == tier_name && !(theme.value_driver == false)}.each do |theme|%>
<%= "#### #{theme.name} "%>

| Feature name | Aggregate PPS Score | Most Recent PPS |
| :----------- | :------------------ | :-------------- |
<% data.features.features.select{|feature| (feature.pricing_theme == theme.name) && (feature[("gitlab_" + tier_name.downcase).to_sym]) }.sort_by{ |feature| feature.pps_aggregate}.reverse.each do |feature| %>
<% next if (feature.gitlab_premium && tier_name == "Ultimate") %>
<%= "| **#{feature.title}** | #{feature.pps_aggregate} | #{feature.pps_recent} |" %>
<% end %>

<% end %>

<% end %>

### Registration Features
<% data.pricing_themes.select{|theme| theme.tier == reg_feature_name && !(theme.value_driver == false)}.each do |theme|%>

| Feature name | Aggregate PPS Score | Most Recent PPS |
| :----------- | :------------------ | :-------------- |
<% data.features.features.select{|feature| (feature.pricing_theme == theme.name) }.sort_by{ |feature| feature.pps_aggregate}.reverse.each do |feature| %>
<%= "| **#{feature.title}** | #{feature.pps_aggregate} | #{feature.pps_recent} |" %>
<% end %>

<% end %>

## Paid features unrelated to a theme

<% tier_names.each do |tier_name| %>
<%= "### #{tier_name}" %>

| Feature name | Aggregate PPS Score | Most Recent PPS |
| :----------- | :------------------ | :-------------- |
<% data.features.features.select{|feature| (feature.pricing_theme == nil) && (feature[("gitlab_" + tier_name.downcase).to_sym])  && !feature.gitlab_core}.sort_by{ |feature| feature.pps_aggregate}.reverse.each do |feature| %>
<% next if (feature.gitlab_premium && tier_name == "Ultimate") %>
<%= "| **#{feature.title}** | #{feature.pps_aggregate} | #{feature.pps_recent} |" %>
<% end %>

<% end %>

---

## How to change or keep this page updated
This page displays content from [`pricing_themes.yml`](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/data/pricing_themes.yml) and [`features.yml`](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/data/features.yml), changes can be made by proposing adjustments to those files.

To update the feature counts on this page, please follow these [detailed instructions](https://about.gitlab.com/handbook/product/product-operations/surveys/workflows/).
